Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Typed_SV_Message_Queue Class Template Reference

Defines the header file for the C++ wrapper facade for typed message queues. More...

`#include <Typed_SV_Message_Queue.h>`

Collaboration diagram for ACE_Typed_SV_Message_Queue:

[legend]
List of all members.

## Public Types
enum | { ACE_CREATE = IPC_CREAT, ACE_OPEN = 0, ACE_NOWAIT = IPC_NOWAIT }
## Public Methods
| ACE_Typed_SV_Message_Queue (void)
| ACE_Typed_SV_Message_Queue (key_t external_id, int create = ACE_OPEN, int perms = ACE_DEFAULT_FILE_PERMS)
int | open (key_t external_id, int create = ACE_OPEN, int perms = ACE_DEFAULT_FILE_PERMS)
int | close (void)
int | remove (void)
| ~ACE_Typed_SV_Message_Queue (void)
int | send (const ACE_Typed_SV_Message<T> &mb, int mflags = 0)
int | recv (ACE_Typed_SV_Message<T> &mb, int mflags = 0)
int | get_id (void) const
| Return the id of the underlying .
int | control (int option, void *arg = 0)
| Control the underlying message queue.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_SV_Message_Queue | message_queue_

## Detailed Description

### template<class T> template class ACE_Typed_SV_Message_Queue

Defines the header file for the C++ wrapper facade for typed message queues.

## Member Enumeration Documentation

template<classT>
anonymous enum

  | Enumeration values:
  ACE_CREATE |
  ACE_OPEN |
  ACE_NOWAIT |

## Constructor & Destructor Documentation

template<classT>
ACE_Typed_SV_Message_Queue< T >::ACE_Typed_SV_Message_Queue<T> ( | void )

template<classT>
ACE_Typed_SV_Message_Queue< T >::ACE_Typed_SV_Message_Queue<T> ( | key_t external_id,
| int create = ACE_OPEN,
| int perms = ACE_DEFAULT_FILE_PERMS )

template<classT>
ACE_Typed_SV_Message_Queue< T >::~ACE_Typed_SV_Message_Queue<T> ( | void )

## Member Function Documentation

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::close ( | void )

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::control ( | int option,
| void * arg = 0 )

| Control the underlying message queue.

template<classT>
void ACE_Typed_SV_Message_Queue<T>::dump ( | void ) const

| Dump the state of an object.

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::get_id ( | void ) const

| Return the id of the underlying .

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::open ( | key_t external_id,
| int create = ACE_OPEN,
| int perms = ACE_DEFAULT_FILE_PERMS )

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::recv ( | ACE_Typed_SV_Message< T >& mb,
| int mflags = 0 )

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::remove ( | void )

template<classT>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::send ( | const ACE_Typed_SV_Message< T >& mb,
| int mflags = 0 )

## Member Data Documentation

template<classT>
ACE_Typed_SV_Message_Queue<T>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<classT>
ACE_SV_Message_Queue ACE_Typed_SV_Message_Queue<T>::message_queue_`[private]`

The documentation for this class was generated from the following files:

- Typed_SV_Message_Queue.h
- Typed_SV_Message_Queue.cpp
- Typed_SV_Message_Queue.i